org.gnome.gtk

## Class PolicyType

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.PolicyType

-     public final class PolicyType
      extends org.freedesktop.bindings.Constant

  Constants to determines when a scrollbar will be visible.
  Since:
    4.0.3
  Author:
    Sebastian Mancke, Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PolicyType` | `ALWAYS` Force the scrollbar to be always visible.
    `static PolicyType` | `AUTOMATIC` The scrollbar will appear when necessary and disappear when the child widget is smaller than the allocated region.
    `static PolicyType` | `NEVER` Prevent the scrollbar from ever appearing.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALWAYS

          public static final PolicyType ALWAYS

      Force the scrollbar to be always visible.

    - #### AUTOMATIC

          public static final PolicyType AUTOMATIC

      The scrollbar will appear when necessary and disappear when the child widget is smaller than the allocated region.

    - #### NEVER

          public static final PolicyType NEVER

      Prevent the scrollbar from ever appearing. You probably want to be fairly careful about choosing this as the user will have no way to get to the information that will likely be obscured as a result of turning off panning.